Bug 159590 - Port update: games/searchandrescue
Summary: Port update: games/searchandrescue
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-07 21:20 UTC by Jesse
Modified: 2011-08-13 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.12 KB, patch)
2011-08-07 21:20 UTC, Jesse
no flags Details | Diff
sar-update.txt (5.44 KB, text/plain)
2011-08-12 00:56 UTC, Jesse
no flags Details
sar-patch.txt (4.52 KB, text/plain)
2011-08-13 01:40 UTC, Jesse
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse 2011-08-07 21:20:03 UTC
This patch updates the searchandrescue port to bring it into line with the latest upstream release. Fixes some graphics issues and sound looping.

Fix: Patch attached with submission follows:
Comment 1 Tilman Keskinoz freebsd_committer 2011-08-08 19:26:05 UTC
State Changed
From-To: open->feedback

The patch-sar__Makefile looks wrong, don't hardcode /usr/local use PREFIX
Comment 2 Jesse 2011-08-08 22:50:10 UTC
It previously used the PREFIX variable, but the patch wouldn't apply
properly. I had to swap out %%PREFIX%% for a hard-coded value to get it
to build properly.
Comment 3 Jesse 2011-08-12 00:56:37 UTC
I think I found the problems. The Makefile patch now uses the PREFIX
variable and I've corrected the "ls" command issue. Please see attached.
Comment 4 Chris Rees 2011-08-12 11:34:06 UTC
Please could we have a patch?

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 5 Jesse 2011-08-13 01:40:36 UTC
Please find my patch for the changes in this version of SearchandRescue.
Comment 6 Chris Rees freebsd_committer 2011-08-13 07:42:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 7 dfilter service freebsd_committer 2011-08-13 15:59:07 UTC
crees       2011-08-13 14:58:57 UTC

  FreeBSD ports repository

  Modified files:
    games/searchandrescue Makefile distinfo 
    games/searchandrescue/files patch-sar__Makefile 
                                patch-sar__config.h 
  Log:
  Update to 1.4.0
  
  PR:             ports/159590
  Submitted by:   Jesse <jessefrgsmith@yahoo.ca> (maintainer)
  
  Revision  Changes    Path
  1.4       +1 -1      ports/games/searchandrescue/Makefile
  1.4       +2 -2      ports/games/searchandrescue/distinfo
  1.4       +19 -7     ports/games/searchandrescue/files/patch-sar__Makefile
  1.2       +6 -6      ports/games/searchandrescue/files/patch-sar__config.h
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Chris Rees freebsd_committer 2011-08-13 15:59:11 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!